tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > > Class Template Reference

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >:
Collaboration diagram for tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >:

## Public Types

typedef OutputTuple | output_type
typedef unfolded_type::input_ports_type | input_ports_type
Public Types inherited from internal::unfolded_join_node< tbb::flow::tuple_size< OutputTuple >::value, key_matching_port, OutputTuple, key_matching< K, KHash > >
typedef wrap_tuple_elements< N, key_matching_port, OutputTuple >::type | input_ports_type
typedef OutputTuple | output_type
Public Types inherited from internal::join_node_base< JP, InputTuple, OutputTuple >
typedef OutputTuple | output_type
typedef sender< output_type >::successor_type | successor_type
typedef join_node_FE< JP, InputTuple, OutputTuple > | input_ports_type

## Public Member Functions

| join_node (graph &g)
template<typename __TBB_B0 , typename __TBB_B1 >
__TBB_NOINLINE_SYM | join_node (graph &g, __TBB_B0 b0, __TBB_B1 b1)
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 >
__TBB_NOINLINE_SYM | join_node (graph &g, __TBB_B0 b0, __TBB_B1 b1, __TBB_B2 b2)
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 >
__TBB_NOINLINE_SYM | join_node (graph &g, __TBB_B0 b0, __TBB_B1 b1, __TBB_B2 b2, __TBB_B3 b3)
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 , typename __TBB_B4 >
__TBB_NOINLINE_SYM | join_node (graph &g, __TBB_B0 b0, __TBB_B1 b1, __TBB_B2 b2, __TBB_B3 b3, __TBB_B4 b4)
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 , typename __TBB_B4 , typename __TBB_B5 >
__TBB_NOINLINE_SYM | join_node (graph &g, __TBB_B0 b0, __TBB_B1 b1, __TBB_B2 b2, __TBB_B3 b3, __TBB_B4 b4, __TBB_B5 b5)
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 , typename __TBB_B4 , typename __TBB_B5 , typename __TBB_B6 >
__TBB_NOINLINE_SYM | join_node (graph &g, __TBB_B0 b0, __TBB_B1 b1, __TBB_B2 b2, __TBB_B3 b3, __TBB_B4 b4, __TBB_B5 b5, __TBB_B6 b6)
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 , typename __TBB_B4 , typename __TBB_B5 , typename __TBB_B6 , typename __TBB_B7 >
__TBB_NOINLINE_SYM | join_node (graph &g, __TBB_B0 b0, __TBB_B1 b1, __TBB_B2 b2, __TBB_B3 b3, __TBB_B4 b4, __TBB_B5 b5, __TBB_B6 b6, __TBB_B7 b7)
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 , typename __TBB_B4 , typename __TBB_B5 , typename __TBB_B6 , typename __TBB_B7 , typename __TBB_B8 >
__TBB_NOINLINE_SYM | join_node (graph &g, __TBB_B0 b0, __TBB_B1 b1, __TBB_B2 b2, __TBB_B3 b3, __TBB_B4 b4, __TBB_B5 b5, __TBB_B6 b6, __TBB_B7 b7, __TBB_B8 b8)
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 , typename __TBB_B4 , typename __TBB_B5 , typename __TBB_B6 , typename __TBB_B7 , typename __TBB_B8 , typename __TBB_B9 >
__TBB_NOINLINE_SYM | join_node (graph &g, __TBB_B0 b0, __TBB_B1 b1, __TBB_B2 b2, __TBB_B3 b3, __TBB_B4 b4, __TBB_B5 b5, __TBB_B6 b6, __TBB_B7 b7, __TBB_B8 b8, __TBB_B9 b9)
__TBB_NOINLINE_SYM | join_node (const join_node &other)
Public Member Functions inherited from internal::unfolded_join_node< tbb::flow::tuple_size< OutputTuple >::value, key_matching_port, OutputTuple, key_matching< K, KHash > >
| unfolded_join_node (graph &g)
| unfolded_join_node (const unfolded_join_node &other)
Public Member Functions inherited from internal::join_node_base< JP, InputTuple, OutputTuple >
| join_node_base (graph &g)
| join_node_base (const join_node_base &other)
template<typename FunctionTuple >
| join_node_base (graph &g, FunctionTuple f)
bool | register_successor (successor_type &r) __TBB_override
bool | remove_successor (successor_type &r) __TBB_override
bool | try_get (output_type &v) __TBB_override

## Private Types

typedef internal::unfolded_join_node< N, key_matching_port, OutputTuple, key_matching< K, KHash > > | unfolded_type

## Static Private Attributes

static const int | N = tbb::flow::tuple_size<OutputTuple>::value

## Additional Inherited Members

Protected Member Functions inherited from internal::join_node_base< JP, InputTuple, OutputTuple >
void | reset_node (reset_flags f) __TBB_override

## Detailed Description

### template<typename OutputTuple, typename K, typename KHash>
class tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >

Definition at line 2974 of file flow_graph.h.

## Member Typedef Documentation

## input_ports_type

template<typename OutputTuple , typename K , typename KHash >

typedef unfolded_type::input_ports_type tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::input_ports_type

Definition at line 2981 of file flow_graph.h.

## output_type

template<typename OutputTuple , typename K , typename KHash >

typedef OutputTuple tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::output_type

Definition at line 2980 of file flow_graph.h.

## unfolded_type

template<typename OutputTuple , typename K , typename KHash >

typedef internal::unfolded_join_node<N, key_matching_port, OutputTuple, key_matching<K,KHash> > tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::unfolded_type

private

Definition at line 2978 of file flow_graph.h.

## Constructor & Destructor Documentation

## join_node() [1/11]

template<typename OutputTuple , typename K , typename KHash >

tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::join_node | ( | graph & | g | ) |

inline

Definition at line 2984 of file flow_graph.h.

: unfolded_type(g) {}

## join_node() [2/11]

template<typename OutputTuple , typename K , typename KHash >
template<typename __TBB_B0 , typename __TBB_B1 >

__TBB_NOINLINE_SYM tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::join_node | ( | graph & | g,
|  | __TBB_B0 | b0,
|  | __TBB_B1 | b1
| ) |  |

inline

Definition at line 2997 of file flow_graph.h.

: unfolded_type(g, b0, b1) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_JOIN_NODE_TAG_MATCHING, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR.

## join_node() [3/11]

template<typename OutputTuple , typename K , typename KHash >
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 >

__TBB_NOINLINE_SYM tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::join_node | ( | graph & | g,
|  | __TBB_B0 | b0,
|  | __TBB_B1 | b1,
|  | __TBB_B2 | b2
| ) |  |

inline

Definition at line 3002 of file flow_graph.h.

: unfolded_type(g, b0, b1, b2) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_JOIN_NODE_TAG_MATCHING, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR.

## join_node() [4/11]

template<typename OutputTuple , typename K , typename KHash >
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 >

__TBB_NOINLINE_SYM tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::join_node | ( | graph & | g,
|  | __TBB_B0 | b0,
|  | __TBB_B1 | b1,
|  | __TBB_B2 | b2,
|  | __TBB_B3 | b3
| ) |  |

inline

Definition at line 3007 of file flow_graph.h.

: unfolded_type(g, b0, b1, b2, b3) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_JOIN_NODE_TAG_MATCHING, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR.

## join_node() [5/11]

template<typename OutputTuple , typename K , typename KHash >
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 , typename __TBB_B4 >

__TBB_NOINLINE_SYM tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::join_node | ( | graph & | g,
|  | __TBB_B0 | b0,
|  | __TBB_B1 | b1,
|  | __TBB_B2 | b2,
|  | __TBB_B3 | b3,
|  | __TBB_B4 | b4
| ) |  |

inline

Definition at line 3012 of file flow_graph.h.

:
unfolded_type(g, b0, b1, b2, b3, b4) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_JOIN_NODE_TAG_MATCHING, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR.

## join_node() [6/11]

template<typename OutputTuple , typename K , typename KHash >
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 , typename __TBB_B4 , typename __TBB_B5 >

__TBB_NOINLINE_SYM tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::join_node | ( | graph & | g,
|  | __TBB_B0 | b0,
|  | __TBB_B1 | b1,
|  | __TBB_B2 | b2,
|  | __TBB_B3 | b3,
|  | __TBB_B4 | b4,
|  | __TBB_B5 | b5
| ) |  |

inline

Definition at line 3020 of file flow_graph.h.

:
unfolded_type(g, b0, b1, b2, b3, b4, b5) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_JOIN_NODE_TAG_MATCHING, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR.

## join_node() [7/11]

template<typename OutputTuple , typename K , typename KHash >
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 , typename __TBB_B4 , typename __TBB_B5 , typename __TBB_B6 >

__TBB_NOINLINE_SYM tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::join_node | ( | graph & | g,
|  | __TBB_B0 | b0,
|  | __TBB_B1 | b1,
|  | __TBB_B2 | b2,
|  | __TBB_B3 | b3,
|  | __TBB_B4 | b4,
|  | __TBB_B5 | b5,
|  | __TBB_B6 | b6
| ) |  |

inline

Definition at line 3029 of file flow_graph.h.

:
unfolded_type(g, b0, b1, b2, b3, b4, b5, b6) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_JOIN_NODE_TAG_MATCHING, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR.

## join_node() [8/11]

template<typename OutputTuple , typename K , typename KHash >
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 , typename __TBB_B4 , typename __TBB_B5 , typename __TBB_B6 , typename __TBB_B7 >

__TBB_NOINLINE_SYM tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::join_node | ( | graph & | g,
|  | __TBB_B0 | b0,
|  | __TBB_B1 | b1,
|  | __TBB_B2 | b2,
|  | __TBB_B3 | b3,
|  | __TBB_B4 | b4,
|  | __TBB_B5 | b5,
|  | __TBB_B6 | b6,
|  | __TBB_B7 | b7
| ) |  |

inline

Definition at line 3038 of file flow_graph.h.

: unfolded_type(g, b0, b1, b2, b3, b4, b5, b6, b7) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_JOIN_NODE_TAG_MATCHING, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR.

## join_node() [9/11]

template<typename OutputTuple , typename K , typename KHash >
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 , typename __TBB_B4 , typename __TBB_B5 , typename __TBB_B6 , typename __TBB_B7 , typename __TBB_B8 >

__TBB_NOINLINE_SYM tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::join_node | ( | graph & | g,
|  | __TBB_B0 | b0,
|  | __TBB_B1 | b1,
|  | __TBB_B2 | b2,
|  | __TBB_B3 | b3,
|  | __TBB_B4 | b4,
|  | __TBB_B5 | b5,
|  | __TBB_B6 | b6,
|  | __TBB_B7 | b7,
|  | __TBB_B8 | b8
| ) |  |

inline

Definition at line 3047 of file flow_graph.h.

: unfolded_type(g, b0, b1, b2, b3, b4, b5, b6, b7, b8) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_JOIN_NODE_TAG_MATCHING, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR.

## join_node() [10/11]

template<typename OutputTuple , typename K , typename KHash >
template<typename __TBB_B0 , typename __TBB_B1 , typename __TBB_B2 , typename __TBB_B3 , typename __TBB_B4 , typename __TBB_B5 , typename __TBB_B6 , typename __TBB_B7 , typename __TBB_B8 , typename __TBB_B9 >

__TBB_NOINLINE_SYM tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::join_node | ( | graph & | g,
|  | __TBB_B0 | b0,
|  | __TBB_B1 | b1,
|  | __TBB_B2 | b2,
|  | __TBB_B3 | b3,
|  | __TBB_B4 | b4,
|  | __TBB_B5 | b5,
|  | __TBB_B6 | b6,
|  | __TBB_B7 | b7,
|  | __TBB_B8 | b8,
|  | __TBB_B9 | b9
| ) |  |

inline

Definition at line 3056 of file flow_graph.h.

: unfolded_type(g, b0, b1, b2, b3, b4, b5, b6, b7, b8, b9) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_JOIN_NODE_TAG_MATCHING, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR.

## join_node() [11/11]

template<typename OutputTuple , typename K , typename KHash >

__TBB_NOINLINE_SYM tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::join_node | ( | const join_node< OutputTuple, key_matching< K, KHash > > & | other | ) |

inline

Definition at line 3071 of file flow_graph.h.

: unfolded_type(other) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_JOIN_NODE_TAG_MATCHING, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR.

## Member Data Documentation

## N

template<typename OutputTuple , typename K , typename KHash >

const int tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::N = tbb::flow::tuple_size<OutputTuple>::value

static private

Definition at line 2977 of file flow_graph.h.

The documentation for this class was generated from the following file:

- flow_graph.h

tbb::flow::interface11::join_node< OutputTuple, key_matching< K, KHash > >::unfolded_type
internal::unfolded_join_node< N, key_matching_port, OutputTuple, key_matching< K, KHash > > unfolded_type
Definition: flow_graph.h:2978
CODEPTR
#define CODEPTR()
Definition: _flow_graph_trace_impl.h:297

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.